Announcement

Collapse
No announcement yet.

AMD 8.41.7 Display Driver Released -- The Holy Crap Edition!

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • #46
    So far no major issues, Warsow which I thought i'd check does not load and now complains of not enough Video memory. Also if you use Cedega you may find you have to disable pixel shaders, at least I did or the image was upside down and going a little crazy!

    Will try to find my UT2004 disk and try that out later.

    Comment


    • #47
      Originally posted by Thetargos View Post
      BTW, nowhere did we see in neither Michael's articles, nor other notes, that the 8.41 driver magically "fixed" issues (such as XV and others), even if it is based off a totally new code base.
      If the codebase is new, how comes that there are exact the same bugs in it?

      Comment


      • #48
        Originally posted by hoenny View Post
        what is that?
        doesn't build pkg in Fedora 7 x86_64.
        8.40.4 is ok! but, 8.41.7 is fail.

        Code:
        Verifying archive integrity... All good.
        Uncompressing ATI Proprietary Linux Driver-8.41.7...............................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
        ==================================================
         ATI Technologies Linux Driver Installer/Packager 
        ==================================================
        Generating package: Fedora/F7
        Package build failed!
        Package build utility output:
        Building target platforms: x86_64
        Building for target x86_64
        bla~ bla~ ....
        What happens when you try to install it? What does the end of the output say?
        Michael Larabel
        http://www.michaellarabel.com/

        Comment


        • #49
          Originally posted by Michael View Post
          As has been stated a number of times now, the fglrx 8.41 release is designed specifically for the R600 series. If you try this new driver with a R600 graphics cards, those common bugs shouldn't be there. In the coming releases AMD will fix these bugs for the previous generations. AMD is trying to make it very clear that this release is ONLY intended for R600 owners.
          Aye, should have read the release notes more carefully, but you have to understand how frustrating it is for us, the users, who've waited so long for a decent stable driver. On the plus side though, the fgl_glxgears demo went from 60 fps to 620fps !

          Comment


          • #50
            Originally posted by Async View Post
            just wish i could get these things to install... :/
            What install problem are you having?
            Michael Larabel
            http://www.michaellarabel.com/

            Comment


            • #51
              Originally posted by Michael View Post
              What install problem are you having?
              No idea? ^.^ hehe still new to this stuff


              -----------


              [Message] Kernel Module : Trying to install a precompiled kernel module.
              [Message] Kernel Module : Precompiled kernel module version mismatched.
              [Message] Kernel Module : Found kernel module build environment, generating kernel module now.
              ATI module generator V 2.0
              ==========================
              initializing...
              cleaning...
              patching 'highmem.h'...
              assuming new VMA API since we do have kernel 2.6.x...
              Assuming default VMAP API
              Assuming default munmap API
              doing Makefile based build for kernel 2.6.x and higher
              make -C /lib/modules/2.6.22.1/build SUBDIRS=/lib/modules/fglrx/build_mod/2.6.x modules
              make[1]: Entering directory `/usr/src/linux-2.6.22.1/linux-2.6.22.1'

              WARNING: Symbol version dump /usr/src/linux-2.6.22.1/linux-2.6.22.1/Module.symvers
              is missing; modules will have no dependencies and modversions.

              CC [M] /lib/modules/fglrx/build_mod/2.6.x/firegl_public.o
              /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_pci_find_device':
              /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:1886: warning: 'pci_find_device' is deprecated (declared at include/linux/pci.h:477)
              /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: In function '__ke_request_irq':
              /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2829: warning: 'deprecated_irq_flag' is deprecated (declared at include/linux/interrupt.h:66)
              /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:2829: warning: passing argument 2 of 'request_irq' from incompatible pointer type
              /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c: At top level:
              /lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:5306: warning: 'kmem_cache_t' is deprecated
              LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.o
              Building modules, stage 2.
              MODPOST 1 modules
              CC /lib/modules/fglrx/build_mod/2.6.x/fglrx.mod.o
              LD [M] /lib/modules/fglrx/build_mod/2.6.x/fglrx.ko
              make[1]: Leaving directory `/usr/src/linux-2.6.22.1/linux-2.6.22.1'
              build succeeded with return value 0
              duplicating results into driver repository...
              done.
              ==============================
              - recreating module dependency list
              - trying a sample load of the kernel modules
              failed.
              [Error] Kernel Module : Failed to install compiled kernel module - please consult readme.

              Comment


              • #52
                New CODE ??????!!!????

                New code, are they serious???

                I install 8.41 on my Thinkpad T43 with Mobility Radeon X300 that (I repeat) works very very very well on Windows system.

                Intalled on Fedora 7 correctly:

                name of display: :0.0
                display: :0 screen: 0
                direct rendering: Yes
                server glx vendor string: SGI
                server glx version string: 1.2
                server glx extensions:
                GLX_ARB_multisample, GLX_EXT_visual_info, GLX_EXT_visual_rating,
                GLX_EXT_import_context, GLX_EXT_texture_from_pixmap, GLX_OML_swap_method,
                GLX_SGI_make_current_read, GLX_SGIS_multisample, GLX_SGIX_hyperpipe,
                GLX_SGIX_swap_barrier, GLX_SGIX_fbconfig, GLX_MESA_copy_sub_buffer
                client glx vendor string: ATI
                client glx version string: 1.4
                client glx extensions:
                GLX_ARB_get_proc_address, GLX_ARB_multisample
                GLX version: 1.2
                GLX extensions:
                GLX_ARB_get_proc_address, GLX_ARB_multisample
                OpenGL vendor string: ATI Technologies Inc.
                OpenGL renderer string: ATI MOBILITY RADEON X300
                OpenGL version string: 2.0.6849 Release
                OpenGL extensions:
                GL_ARB_depth_texture, GL_ARB_draw_buffers, GL_ARB_fragment_program,
                GL_ARB_fragment_shader, GL_ARB_multisample, GL_ARB_multitexture,
                GL_ARB_occlusion_query, GL_ARB_point_parameters, GL_ARB_point_sprite,
                GL_ARB_shader_objects, GL_ARB_shading_language_100, GL_ARB_shadow,
                GL_ARB_shadow_ambient, GL_ARB_texture_border_clamp,
                GL_ARB_texture_compression, GL_ARB_texture_cube_map,
                GL_ARB_texture_env_add, GL_ARB_texture_env_combine,
                GL_ARB_texture_env_crossbar, GL_ARB_texture_env_dot3,
                GL_ARB_texture_float, GL_ARB_texture_mirrored_repeat,
                GL_ARB_texture_rectangle, GL_ARB_transpose_matrix,
                GL_ARB_vertex_buffer_object, GL_ARB_vertex_program, GL_ARB_vertex_shader,
                GL_ARB_window_pos, GL_ATI_draw_buffers, GL_ATI_envmap_bumpmap,
                GL_ATI_fragment_shader, GL_ATI_meminfo, GL_ATI_separate_stencil,
                GL_ATI_texture_env_combine3, GL_ATI_texture_float, GL_EXT_bgra,
                GL_EXT_blend_color, GL_EXT_blend_func_separate, GL_EXT_blend_minmax,
                GL_EXT_blend_subtract, GL_EXT_compiled_vertex_array, GL_EXT_copy_texture,
                GL_EXT_draw_range_elements, GL_EXT_fog_coord, GL_EXT_framebuffer_object,
                GL_EXT_multi_draw_arrays, GL_EXT_packed_depth_stencil,
                GL_EXT_packed_pixels, GL_EXT_point_parameters, GL_EXT_rescale_normal,
                GL_EXT_secondary_color, GL_EXT_separate_specular_color,
                GL_EXT_shadow_funcs, GL_EXT_stencil_wrap, GL_EXT_subtexture,
                GL_EXT_texgen_reflection, GL_EXT_texture3D,
                GL_EXT_texture_compression_s3tc, GL_EXT_texture_cube_map,
                GL_EXT_texture_edge_clamp, GL_EXT_texture_env_add,
                GL_EXT_texture_env_combine, GL_EXT_texture_env_dot3,
                GL_EXT_texture_filter_anisotropic, GL_EXT_texture_lod_bias,
                GL_EXT_texture_mirror_clamp, GL_EXT_texture_object,
                GL_EXT_texture_rectangle, GL_EXT_vertex_array, GL_KTX_buffer_region,
                GL_NV_blend_square, GL_NV_texgen_reflection, GL_SGIS_generate_mipmap,
                GL_SGIS_texture_edge_clamp, GL_SGIS_texture_lod, GL_WIN_swap_hint,
                WGL_EXT_swap_control


                Results:

                - no graphical boot, but I think it isn't so important (but I begin to doubt)
                - glxgears little (very little 1500->1650) improvments
                - performance improvment? where? when I try to play with TORCS, Nexiuz, Xmoto, etc,etc when I change the graphical option or try to play the game crash
                - 2D Quality now is like Radeon driver (better than older fglrx)
                - 2D Performance are bad like older fglrx driver
                - Strange graphical errors in the bottom-right of my screen when I use firefox (line, point, strange things)

                Another BIG delusion, now you will say me that this driver are not reccomended for mobility, etc, next month, bla, bla, bla, but I wait 2 years ATI (and one year AIGLX, remember when NVidia support it), it is ridiculous that I must wait another month.... and next month another delusion, I think now.

                And obviously no HyperMem, no xv bug fix, etc etc etc, and some new bugs (i explained it previously).

                I think this is only a commercial initiative by AMD (new cool driver, bla, bla, ???), not a real
                will to improve Linux support, now I hope for open-source developers.

                Conclusion: now and for the past year and I think for the next 3-4 months I see fast and cool cube and flames on notebook with Nvidia of my friends, and mine??? sigh!!!

                Now I try to suspend, what do you think about?

                Comment


                • #53
                  What distribution are you using? Are you using the --buildpkg syntax or what steps?
                  Michael Larabel
                  http://www.michaellarabel.com/

                  Comment


                  • #54
                    slackware 12 full install with kernel 2.6.22.1 useing the basic sh ./ati*** install command

                    Comment


                    • #55
                      Originally posted by Async View Post
                      slackware 12 full install with kernel 2.6.22.1 useing the basic sh ./ati*** install command
                      Not sure since I don't use Slackware but I know other Slackware 12 users use the fglrx driver. There is probably a guide somewhere..
                      Michael Larabel
                      http://www.michaellarabel.com/

                      Comment


                      • #56
                        It looks like ATI is aware of the problems and the warning of not including in standard distributions is somehow funny. I prefer to enable it for all possible PCIIDs, as the driver shows at least more speed than before. Did someone really expect that the long lasting bugs would have been fixed? I didn't... Lets see how long it will take to say that ATI is on the same level as NV. Should we give em 1 year or better 10

                        Comment


                        • #57
                          Originally posted by Michael View Post
                          [B]As has been stated a number of times now, the fglrx 8.41 release is designed specifically for the R600 series.
                          I'm sorry Michael, but in that case you are the one to blame. By continuesly writing about how great this new driver will be, how much performance increase there will be "esspecially on R300/R400", I was really looking forward for this release. The disappointment is much greater, this way. It's not only that nothing has become better, it got even worse.

                          Originally posted by Michael View Post
                          In the coming releases AMD will fix these bugs for the previous generations.
                          "Releases" is the magic word here. It could mean next month, it could mean in July 2009. And as I said, according to AMD, these bugs don't even exist. So how can I expect that they will ever be fixed? Building trust works different!

                          Comment


                          • #58
                            Originally posted by Stormking View Post
                            I'm sorry Michael, but in that case you are the one to blame. By continuesly writing about how great this new driver will be, how much performance increase there will be "esspecially on R300/R400", I was really looking forward for this release. The disappointment is much greater, this way. It's not only that nothing has become better, it got even worse.
                            The performance is improved on the R300 and R400 series. I use the fglrx 8.41 driver since July on a Mobility X300 with no problems for what I use the system for. I don't play videos on there, but the performance is improved substantially.
                            Michael Larabel
                            http://www.michaellarabel.com/

                            Comment


                            • #59
                              Originally posted by Michael View Post
                              What happens when you try to install it? What does the end of the output say?
                              output! what's wrong?
                              Code:
                              RPM build errors:
                                  File not found by glob: /tmp/ATI-fglrx-8.41.7-1-21724-hoenny/tmp/ATI-fglrx-8.41.7-1.f7-root-hoenny/usr/X11R6/lib/modules/dri/*
                                  Installed (but unpackaged) file(s) found:
                                 /usr/lib/dri/fglrx_dri.so
                              Removing temporary directory: fglrx-install.v21651

                              Comment


                              • #60
                                Originally posted by Michael View Post
                                I use the fglrx 8.41 driver since July on a Mobility X300 with no problems for what I use the system for. I don't play videos on there, but the performance is improved substantially.
                                On my TV, performance has decreased by 100%, because 21 months after XVideo, now OpenGL doesn't work there, too.
                                Last edited by Stormking; 09-12-2007, 12:37 PM.

                                Comment

                                Working...
                                X